
@property --overlay-scrollbars-fade-top-start {
  syntax: "<length-percentage>";
  initial-value: 0px;
  inherits: false;
}
@property --overlay-scrollbars-fade-top-end {
  syntax: "<length-percentage>";
  initial-value: 0px;
  inherits: false;
}
@property --overlay-scrollbars-fade-bottom-start {
  syntax: "<length-percentage>";
  initial-value: 100%;
  inherits: false;
}
@property --overlay-scrollbars-fade-bottom-end {
  syntax: "<length-percentage>";
  initial-value: 100%;
  inherits: false;
}
@property --overlay-scrollbars-fade-left-start {
  syntax: "<length-percentage>";
  initial-value: 0px;
  inherits: false;
}
@property --overlay-scrollbars-fade-left-end {
  syntax: "<length-percentage>";
  initial-value: 0px;
  inherits: false;
}
@property --overlay-scrollbars-fade-right-start {
  syntax: "<length-percentage>";
  initial-value: 100%;
  inherits: false;
}
@property --overlay-scrollbars-fade-right-end {
  syntax: "<length-percentage>";
  initial-value: 100%;
  inherits: false;
}
[data-v-b0e1e8d6] [data-overlayscrollbars-initialize],[data-v-b0e1e8d6] .os-host,[data-v-b0e1e8d6] [data-overlayscrollbars-contents] {
  display: flex;
  min-width: 0;
  min-height: 0;
  width: 100%;
  height: 100%;
  flex: 1 1 0%;
  flex-direction: column;
}
.overlay-scrollbars-wrapper__content[data-v-b0e1e8d6] {
  display: flex;
  min-width: 0;
  min-height: 0;
  width: 100%;
  height: 100%;
  flex: 1 1 0%;
  flex-direction: column;
}
.overlay-scrollbars-wrapper[data-v-b0e1e8d6] {
  contain: layout style;
  --overlay-scrollbars-block-fade-stop: 16px;
  --overlay-scrollbars-inline-fade-stop: 16px;
}
[data-v-b0e1e8d6] [data-overlayscrollbars-viewport] {
  --overlay-scrollbars-block-mask: linear-gradient(
    to bottom,
    transparent 0%,
    transparent var(--overlay-scrollbars-fade-top-start),
    black var(--overlay-scrollbars-fade-top-end),
    black var(--overlay-scrollbars-fade-bottom-start),
    transparent var(--overlay-scrollbars-fade-bottom-end),
    transparent 100%
  );
  --overlay-scrollbars-inline-mask: linear-gradient(
    to right,
    transparent 0%,
    transparent var(--overlay-scrollbars-fade-left-start),
    black var(--overlay-scrollbars-fade-left-end),
    black var(--overlay-scrollbars-fade-right-start),
    transparent var(--overlay-scrollbars-fade-right-end),
    transparent 100%
  );
  --overlay-scrollbars-fade-top-start: 0px;
  --overlay-scrollbars-fade-top-end: 0px;
  --overlay-scrollbars-fade-bottom-start: 100%;
  --overlay-scrollbars-fade-bottom-end: 100%;
  --overlay-scrollbars-fade-left-start: 0px;
  --overlay-scrollbars-fade-left-end: 0px;
  --overlay-scrollbars-fade-right-start: 100%;
  --overlay-scrollbars-fade-right-end: 100%;
  transition:
    --overlay-scrollbars-fade-top-end 200ms ease,
    --overlay-scrollbars-fade-bottom-start 200ms ease,
    --overlay-scrollbars-fade-left-end 200ms ease,
    --overlay-scrollbars-fade-right-start 200ms ease;
}
.overlay-scrollbars-wrapper--block-hints[data-v-b0e1e8d6]:not(
    .overlay-scrollbars-wrapper--inline-hints
  )
  [data-overlayscrollbars-viewport] {
  mask-image: var(--overlay-scrollbars-block-mask);
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
}
.overlay-scrollbars-wrapper--inline-hints[data-v-b0e1e8d6]:not(
    .overlay-scrollbars-wrapper--block-hints
  )
  [data-overlayscrollbars-viewport] {
  mask-image: var(--overlay-scrollbars-inline-mask);
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
}
.overlay-scrollbars-wrapper--block-hints.overlay-scrollbars-wrapper--inline-hints[data-v-b0e1e8d6]
  [data-overlayscrollbars-viewport] {
  mask-image:
    var(--overlay-scrollbars-block-mask), var(--overlay-scrollbars-inline-mask);
  mask-repeat: no-repeat, no-repeat;
  mask-size:
    100% 100%,
    100% 100%;
  mask-composite: intersect;
}
.overlay-scrollbars-wrapper--show-top-hint[data-v-b0e1e8d6]
  [data-overlayscrollbars-viewport] {
  --overlay-scrollbars-fade-top-end: var(--overlay-scrollbars-block-fade-stop);
}
.overlay-scrollbars-wrapper--show-bottom-hint[data-v-b0e1e8d6]
  [data-overlayscrollbars-viewport] {
  --overlay-scrollbars-fade-bottom-start: calc(
    100% - var(--overlay-scrollbars-block-fade-stop)
  );
}
.overlay-scrollbars-wrapper--show-left-hint[data-v-b0e1e8d6]
  [data-overlayscrollbars-viewport] {
  --overlay-scrollbars-fade-left-end: var(
    --overlay-scrollbars-inline-fade-stop
  );
}
.overlay-scrollbars-wrapper--show-right-hint[data-v-b0e1e8d6]
  [data-overlayscrollbars-viewport] {
  --overlay-scrollbars-fade-right-start: calc(
    100% - var(--overlay-scrollbars-inline-fade-stop)
  );
}
